Loading...
Searching...
No Matches
jni::TypedMethods< jshort > Struct Reference

`#include <typed_methods.hpp>`

## Static Public Attributes

static constexpr auto | CallMethod = &JNIEnv::CallShortMethod
static constexpr auto | CallNonvirtualMethod = &JNIEnv::CallNonvirtualShortMethod
static constexpr auto | GetField = &JNIEnv::GetShortField
static constexpr auto | SetField = &JNIEnv::SetShortField
static constexpr auto | CallStaticMethod = &JNIEnv::CallStaticShortMethod
static constexpr auto | GetStaticField = &JNIEnv::GetStaticShortField
static constexpr auto | SetStaticField = &JNIEnv::SetStaticShortField
static constexpr auto | NewArray = &JNIEnv::NewShortArray
static constexpr auto | GetArrayElements = &JNIEnv::GetShortArrayElements
static constexpr auto | ReleaseArrayElements = &JNIEnv::ReleaseShortArrayElements
static constexpr auto | GetArrayRegion = &JNIEnv::GetShortArrayRegion
static constexpr auto | SetArrayRegion = &JNIEnv::SetShortArrayRegion

## Member Data Documentation

## CallMethod

auto jni::TypedMethods< jshort >::CallMethod = &JNIEnv::CallShortMethod

static constexpr

## CallNonvirtualMethod

auto jni::TypedMethods< jshort >::CallNonvirtualMethod = &JNIEnv::CallNonvirtualShortMethod

static constexpr

## CallStaticMethod

auto jni::TypedMethods< jshort >::CallStaticMethod = &JNIEnv::CallStaticShortMethod

static constexpr

## GetArrayElements

auto jni::TypedMethods< jshort >::GetArrayElements = &JNIEnv::GetShortArrayElements

static constexpr

## GetArrayRegion

auto jni::TypedMethods< jshort >::GetArrayRegion = &JNIEnv::GetShortArrayRegion

static constexpr

## GetField

auto jni::TypedMethods< jshort >::GetField = &JNIEnv::GetShortField

static constexpr

## GetStaticField

auto jni::TypedMethods< jshort >::GetStaticField = &JNIEnv::GetStaticShortField

static constexpr

## NewArray

auto jni::TypedMethods< jshort >::NewArray = &JNIEnv::NewShortArray

static constexpr

## ReleaseArrayElements

auto jni::TypedMethods< jshort >::ReleaseArrayElements = &JNIEnv::ReleaseShortArrayElements

static constexpr

## SetArrayRegion

auto jni::TypedMethods< jshort >::SetArrayRegion = &JNIEnv::SetShortArrayRegion

static constexpr

## SetField

auto jni::TypedMethods< jshort >::SetField = &JNIEnv::SetShortField

static constexpr

## SetStaticField

auto jni::TypedMethods< jshort >::SetStaticField = &JNIEnv::SetStaticShortField

static constexpr

The documentation for this struct was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/jni/typed_methods.hpp